I keep having issues at the point where postfix wants to use the mysql headers. I've cvs'd the code, made some makefile changes, but I can't seem to get the right combo with mysql. There is a postfix 2.2.3 and 2.2.5 in the default postfix folder. I renamed 2.2.5 to 2.2.9 since that is the latest and then made some changes in the 2.2.9 makefile for mysql and ldap includes, etc. It gets to the point where it wants mysql_version.h and the mysql version I have has a mysql_version.h.in. Do you have a tree of code for opensuse 10 i386 that could be compiled on an x86_64 box I have? There is a mysql_client_version makefile var that I'm not sure where it might get the right info from the mysql-4.1.18 tarball.